### A free/open-source library for quantitative finance

Public Member Functions
FdHestonBarrierEngine Class Reference
Barrier option engines

Finite-Differences Heston Barrier Option engine. More...

`#include <ql/pricingengines/barrier/fdhestonbarrierengine.hpp>`

Inheritance diagram for FdHestonBarrierEngine:
[legend]

List of all members.

## Public Member Functions

| FdHestonBarrierEngine (const boost::shared_ptr< HestonModel > &model, Size tGrid=100, Size xGrid=100, Size vGrid=50, Size dampingSteps=0, const FdmSchemeDesc &schemeDesc=FdmSchemeDesc::Hundsdorfer())
void | calculate () const

## Detailed Description

Finite-Differences Heston Barrier Option engine.

Tests:
  the correctness of the returned value is tested by reproducing results available in web/literature and comparison with Black pricing.